#include <opencv/cv.h>
#include <opencv/highgui.h>
#include <iostream>

int
main (int argc, char ** argv)
{
  CvCapture * capture = cvCreateFileCapture ("filter.png");
  if (!capture)
  {
    std::cerr << "Could not create file capture." << std::endl;
  }

  IplImage * image = cvQueryFrame (capture);
  if (!image)
  {
    std::cerr << "Could not read frame." << std::endl;
  }

  IplImage * blank = cvCreateImage (cvGetSize (image), image->depth, 
                                    image->nChannels);

  *blank = *image;

  /* What will happen here.  Will a shallow copy accomplish what we intend? */
  cvReleaseImage (&image);
  cvReleaseImage (&blank);

  return 0;
}
